import request from '@/router/axios';

export const queryBusinessUserOpinionList = (params) => {
    return request({
        url: '/api/blade-business/businessUserOpinion/queryBusinessUserOpinionList',
        method: 'get',
        params
    })
}

//业务人员提交环节操作
export const manageUserOperationStatus = (params) => {
    return request({
        url: '/api/blade-business/businessUserOpinion/manageUserOperationStatus',
        method: 'post',
        params
    })
}


//所有工单处理列表
export const queryBusinessUserOpinionListAll = (params) => {
    return request({
        url: '/api/blade-business/businessUserOpinion/queryBusinessUserOpinionListAll',
        method: 'get',
        params
    })
}

//我的消息
export const queryBusinessUserOpinion = (params) => {
    return request({
        url: '/api/blade-manager/managerHomePage/queryBusinessUserOpinion',
        method: 'post',
        params
    })
}

//所有代办工单
export const queryBusinessUserOpinionAll = (params) => {
    return request({
        url: '/api/blade-manager/managerHomePage/queryBusinessUserOpinionAll',
        method: 'post',
        params
    })
}

//获取人员账户统计
export const queryProjectUserAmount = () => {
  return request({
    url: '/api/blade-manager/managerHomePage/queryProjectUserAmount',
    method: 'post'
  })
}

//证书统计
export const queryProjectPfx = () => {
  return request({
    url: '/api/blade-manager/managerHomePage/queryProjectPfx',
    method: 'post'
  })
}

//维护类型统计汇总
export const queryOpinionTypeAmount = () => {
  return request({
    url: '/api/blade-manager/managerHomePage/queryOpinionTypeAmount',
    method: 'post'
  })
}

//工单详情
export const queryOpinionDetails = (params) => {
  return request({
    url: '/api/blade-manager/managerHomePage/queryOpinionDetails',
    method: 'post',
    params
  })
}

//工单详情
export const isIgnore = (params) => {
  return request({
    url: '/api/blade-business/businessUserOpinion/isIgnore',
    method: 'post',
    params
  })
}
